# Get Available Version Numbers for Binary File

Use this endpoint to retrieve a list of all available releases for a binary file, in the format `YYYY.MM`.

Endpoint: GET /Releases/Library/{os}/{compiler}/{architecture}/{filename}

## Path parameters:

  - `architecture` (string, required)
    Describes the target architecture (ie, 'bitness'). Used for object binaries and language interface binaries on certain OS platforms.

  - `compiler` (string, required)
    Describes the target compiler.
- `ACC3`
 - HP-UX native compiler
- `ADF`
 - Azure Data Factory component
- `ANY`
 - Any compiler
- `C`
 - C/C++
- `COM`
 - Windows COM DLL
- `DLL`
 - Windows standard DLL
- `GCC32`
 - gcc v3.2 (Linux)
- `GCC34`
 - gcc v3.4 (AIX, HP-UX, Linux)
- `GCC41`
 - gcc v4.1 (Linux)
- `GCC46`
 - gcc v4.6 (zLinux)
- `GCC48`
 - gcc v4.8 (Linux)
- `GCC83`
 - gcc v8.3 (AIX)
- `JAVA`
 - Java
- `MSSQL`
 - SQL Server T-SQL
- `NET`
 - .NET
- `PERL`
 - Perl
- `PHP`
 - PHP (legacy, prior to v7)
- `PHP7`
 - PHP v7
- `PLSQL`
 - Oracle PL/SQL
- `PYTHON`
 - Python
- `RHEL7`
 - Red Hat Enterprise Linux 7
- `RUBY`
 - Ruby
- `SSIS2005`
 - SSIS 2005 component
- `SSIS2008`
 - SSIS 2008 component
- `SSIS2012`
 - SSIS 2012 component
- `SSIS2014`
 - SSIS 2014 component
- `SSIS2016`
 - SSIS 2016 component
- `SSIS2017`
 - SSIS 2017 component
- `SSIS2019`
 - SSIS 2019 component
- `SSIS2022`
 - SSIS 2022 component
- `SSIS2025`
 - SSIS 2025 component
- `WINDOWS`
 - Windows
- `WS12`
 - Solaris native compiler
- `WS6`
 - Solaris native compiler
- `XLC12`
 - AIX native compiler
- `XLC6`
 - AIX native compiler

  - `filename` (string, required)
    Name of File.

  - `os` (string, required)
    Describes the target OS. Used for object binaries and language interface binaries.
- `AIX`
 - AIX PowerPC
- `ANY`
 - Any OS
- `HPUX_IT`
 - HP-UX ia64
- `HPUX_PA`
 - HP-UX RISC
- `LINUX`
 - Linux Redhat
- `SOLARIS`
 - Solaris Sparc
- `WINDOWS`
 - Windows
- `ZLINUX`
 - IBM zLinux

## Query parameters:

  - `format` (string)
    Desired Format of Response.
- `crLfList`
 -
**Default.**
 File list delimited by CR/LF.
- `lfList`
 - File list delimited by LF.
- `comma`
 - comma delimited list.
- `tab`
 - tab delimited list.
- `json`
 - JSON serialized list.
- `xml`
 - XML serialized list.

  - `id` (string, required)
    The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Successful response.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

